[Cosmo-dev] JRE and/or SDK for server bundle?

Elliot Lee osafoundation at intelliot.com
Tue Jun 27 15:33:18 PDT 2006


this is what I got before I had the JDK, and only had the JRE:


C:\osaf-server-bundle-0.4-0.2rc1\bin>osafsrvctl run
"Logging derby output to C:\osaf-server-bundle-0.4-0.2rc1\logs\derby.log"
"Using OSAFSRV_HOME:      C:\osaf-server-bundle-0.4-0.2rc1"
The JAVA_HOME environment variable is not defined correctly
This environment variable is needed to run this program
NB: JAVA_HOME should point to a JDK not a JRE
Using CATALINA_BASE:   C:\osaf-server-bundle-0.4-0.2rc1\tomcat
Using CATALINA_HOME:   C:\osaf-server-bundle-0.4-0.2rc1\tomcat
Using CATALINA_TMPDIR: C:\osaf-server-bundle-0.4-0.2rc1\tomcat\temp
Using JAVA_HOME:       C:\Program Files\Java\jre1.5.0_07
'-server' is not recognized as an internal or external command,
operable program or batch file.


doesn't that mean the server bundle wants JAVA_HOME to point to a JDK
in order to run? (in the above example, it points to my JRE)

On 6/27/06, Brian Moseley <bcm at osafoundation.org> wrote:
> On 6/27/06, Elliot Lee <osafoundation at intelliot.com> wrote:
> > why does this page say to install the JRE when the server bundle seems
> > to require a JDK?
> > http://wiki.osafoundation.org/bin/view/Documentation/ServerBundleInstallation
> >
> > it also has this line which seems like it should refer to the JDK and
> > not the JRE.
> > "Set an environment variable JAVA_HOME to the pathname of the
> > directory into which you installed the JRE."
>
> the server bundle does not require a full jdk to run. you only need
> the jdk if you want to build from source.
> _______________________________________________
> cosmo-dev mailing list
> cosmo-dev at lists.osafoundation.org
> http://lists.osafoundation.org/mailman/listinfo/cosmo-dev
>


More information about the cosmo-dev mailing list